Loading...
Searching...
No Matches
ssl_server_options

Unsettled API - SSL configuration for inbound connections. More...

`#include <ssl.hpp>`

## Public Member Functions

| ssl_server_options (const ssl_certificate &cert)
| Server SSL options based on the supplied X.509 certificate specifier.
| ssl_server_options (const ssl_certificate &cert, const std::string &trust_db, const std::string &advertise_db=std::string(), enum ssl::verify_mode mode=ssl::VERIFY_PEER)
| Server SSL options requiring connecting clients to provide a client certificate.
| ssl_server_options ()
| Server SSL options restricted to available anonymous cipher suites on the platform.
| ssl_server_options (const ssl_server_options &)
ssl_server_options & | operator= (const ssl_server_options &)

## Detailed Description

Unsettled API - SSL configuration for inbound connections.

The documentation for this class was generated from the following file:

- proton/ssl.hpp